**Source URL:** https://limited.veevavault.dev/clinical/vault-api/api-reference/26.2/clinical-operations/populate-site-fee-definitions.md

# Populate Site Fee Definitions



Given an existing study with Site Fee Definitions or an eligible Site Fee Template, automatically generate Site Fee Definitions for a new target study. This endpoint is only available in CTMS Vaults with the [Veeva Payments](https://clinical.veevavault.help/en/lr/58941) add-on.

<Endpoint path="/api/{version}/app/clinical/payments/populate-site-fee-definitions" method="POST"></Endpoint>

## Headers {#headers}

<FieldTable>
| Name | Description |
| --- | --- |
| `Content-Type` | `application/json` (default) |
| `Accept` | `application/json` (default) |
</FieldTable>

## Body Parameters {#body-parameters}

<FieldTable>
| Name | Description |
| --- | --- |
| `target_study` | The new study to populate with Site Fee Definitions. |
| `source_study` | Optional: To copy the Site Fee Definitions from studies, include an array with the study IDs. You must choose either `source_study` or `source_template`. |
| `source_template` | Optional: To copy the Site Fee Definitions from Site Fee Templates, include an array with the template IDs. You must choose either `source_study` or `source_template`. |
</FieldTable>

## Request {#request}

<CodeExample title="">
```
curl -X POST -H "Authorization: {AUTH_VALUE}" \
-H "Content-Type: application/json" \
-d '{ "target_study": "0ST000000006004", "source_study": [ "0ST000000006002", "0ST000000006003" ] }'
https://myvault.veevavault.com/api/v23.1/app/clinical/payments/populate-site-fee-definitions

```
</CodeExample>

## Response {#response}

<CodeExample title="">
```
{
  "responseStatus": "SUCCESS",
  "responseMessage": "Success",
  "data": {
    "status": "SUCCESS",
    "source": "study__v",
    "num_site_fee_defs_created": 2,
    "num_site_fee_defs_duplicates": 2,
    "num_errors": 0
  }
}

```
</CodeExample>

---

**Previous:** [Veeva Site Connect: Distribute to Sites](/clinical/vault-api/api-reference/26.2/clinical-operations/veeva-site-connect-distribute-to-sites)  
**Next:** [Populate Procedure Definitions](/clinical/vault-api/api-reference/26.2/clinical-operations/populate-procedure-definitions)